# HopObject | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class HopObject

- Defined in: HopObject.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| HopObject() Helma’s built-in HopObject with Antville’s extensions.

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| addTag(name)
| checkbox_macro(param, name)
<static> | HopObject.confirmConstructor(ref) Debugging method to detect direct constructor calls which should be replaced with static add() method.
| created_macro(param, format)
| creator_macro(param, mode)
| deleteMetadata(name)
| getFormOptions()
| getFormValue(name)
<static> | HopObject.getFromPath(name, collection)
| getMetadata(name)
| getPermission()
| getTags()
| getTitle()
| handleMetadata(name)
| input_macro(param, name)
| kind_macro()
| link_filter(text, param, action)
| link_macro(param, url, text)
| log()
| macro_macro(param, handler)
| map(values)
| metadata_macro(param, name)
| modified_macro(param, format)
| modifier_macro(param, mode)
| notify(action)
| onCodeUpdate()
| onRequest()
| radiobutton_macro(param, name)
<static> | HopObject.remove(collection, options)
| removeTag(tag)
| select_macro(param, name)
| self_macro(param, property)
| setMetadata(name, value)
| setTags(tags)
| skin_macro(param, name)
| textarea_macro(param, name)
| toString()
| touch()
| type_macro()
| upload_macro(param, name)

## Class Detail

HopObject()
Helma’s built-in HopObject with Antville’s extensions.

## Method Detail

- addTag(name)
  Parameters:
  {String} name
- checkbox_macro(param, name)
  Parameters:
  {Object} param
  {String} name
- <static> HopObject.confirmConstructor(ref)
  Debugging method to detect direct constructor calls which should be replaced with static add() method.
  Parameters:
  ref
- created_macro(param, format)
  Parameters:
  {Object} param
  {String} format
- creator_macro(param, mode)
  Parameters:
  {Object} param
  {String} mode
- deleteMetadata(name)
  Defined in: metadata.js.
  Parameters:
  {String} name
- {Object[]} getFormOptions()
  Returns:
    {Object[]}
- {Number|String} getFormValue(name)
  Parameters:
  {String} name
  Returns:
    {Number|String}
- <static> HopObject.getFromPath(name, collection)
  Parameters:
  {String} name
  {HopObject} collection
- {Object} getMetadata(name)
  Defined in: metadata.js.
  Parameters:
  {String} name
  Returns:
    {Object}
- getPermission()
  Returns:
    Boolean
- {Tag[]} getTags()
  Returns:
    {Tag[]}
- {String} getTitle()
  Returns:
    {String}
- handleMetadata(name)
  Defined in: metadata.js.
  Parameters:
  {String} name
- input_macro(param, name)
  Parameters:
  {Object} param
  {String} name
- kind_macro()
- {String} link_filter(text, param, action)
  Parameters:
  {String} text
  {Object} param
  {String} action
  Returns:
    {String}
- link_macro(param, url, text)
  Parameters:
  {Object} param
  {String} url
  {String} text
- log()
- macro_macro(param, handler)
  Parameters:
  {Object} param
  {HopObject} handler Optional
- map(values)
  Parameters:
  {Object} values
- metadata_macro(param, name)
  Defined in: metadata.js.
  Parameters:
  {Object} param
  {String} name
- modified_macro(param, format)
  Parameters:
  {Object} param
  {String} format
- modifier_macro(param, mode)
  Parameters:
  {Object} param
  {String} mode
- notify(action)
  Parameters:
  {String} action
- onCodeUpdate()
- onRequest()
- radiobutton_macro(param, name)
  Parameters:
  {Object} param
  {String} name
- <static> HopObject.remove(collection, options)
  Parameters:
  {HopObject} collection
  {Object} options
    Optional flags, e.g. to force or prevent any conditional checks of individual prototype’s remove() methods
- removeTag(tag)
  Parameters:
  {String} tag
- select_macro(param, name)
  Parameters:
  {Object} param
  {String} name
- {HopObject} self_macro(param, property)
  Parameters:
  {Object} param
  {String} property
  Returns:
    {HopObject}
- setMetadata(name, value)
  Defined in: metadata.js.
  Parameters:
  {String} name
  {Object} value
- setTags(tags)
  Parameters:
  {Tag[]|String} tags
- skin_macro(param, name)
  Parameters:
  {Object} param
  {String} name
- textarea_macro(param, name)
  Parameters:
  {Object} param
  {String} name
- {String} toString()
  Returns:
    {String}
- {Object} touch()
  Returns:
    {Object}
- type_macro()
- upload_macro(param, name)
  Parameters:
  {Object} param
  {String} name